package com.kxs.common.core.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;


/**
 * 盟主类型枚举
 *
 * @author 没秃顶的码农
 * @date 2024-01-02
 */
@Getter
@RequiredArgsConstructor
public enum LeaderTypeEnum {


    SMALL_LEADER(1, 5,"小盟主"),
    BIG_LEADER(2, 7,"大盟主"),
    OP_LEADER(3, 9,"运营中心"),
    GOLD_LEADER(4, 9,"黄金"),
    DI_LEADER(5, 9,"钻石"),
    TC_LEADER(6, 9,"战略")
    ;


    /**
     * 类型
     */
    private final Integer type;

    /**
     * 职级
     */
    private final Integer level;

    /**
     * 描述
     */
    private final String description;
}
